| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMError Class Reference

DOMError is an interface that describes an error. More...

`#include <DOMError.hpp>`

List of all members.

## Public Types

Public constants
enum | ErrorSeverity { DOM_SEVERITY_WARNING = 0, DOM_SEVERITY_ERROR = 1, DOM_SEVERITY_FATAL_ERROR = 2 }
| The severity of the error described by the `DOMError`. More...

## Public Methods

Destructor
virtual | ~DOMError ()
| Destructor.
Functions introduced in DOM Level 3
virtual short | getSeverity ()const=0
| Get the severity of the error. More...
virtual const XMLCh* | getMessage ()const=0
| Get the message describing the error that occured. More...
virtual DOMLocator* | getLocation ()const=0
| Get the location of the error. More...
virtual void* | getRelatedException ()const=0
| The related platform dependent exception if any. More...
virtual void | setSeverity (const short severity)=0
| Set the severity of the error. More...
virtual void | setMessage (const XMLCh *const message)=0
| Set the error message. More...
virtual void | setLocation (DOMLocator *const location)=0
| Set the location of the error. More...
virtual void | setRelatedException (void *exception)const=0
| The related platform dependent exception if any. More...

## Protected Methods

Hidden constructors
| DOMError ()
| DOMError (const DOMError &)
DOMError& | operator= (const DOMError &)

## Detailed Description

DOMError is an interface that describes an error.

See also:
  DOMErrorHandler::handleError

Since:
  DOM Level 3

## Member Enumeration Documentation

enum DOMError::ErrorSeverity

The severity of the error described by the `DOMError`.

Since:
  DOM Level 3

Enumeration values:

  DOM_SEVERITY_WARNING |
  DOM_SEVERITY_ERROR |
  DOM_SEVERITY_FATAL_ERROR |

## Constructor & Destructor Documentation

DOMError::DOMError ( | )`[protected]`

DOMError::DOMError ( | const DOMError & )`[protected]`

DOMError::~DOMError ( | )`[virtual]`

| Destructor.

## Member Function Documentation

DOMLocator * DOMError::getLocation ( | ) const`[pure virtual]`

Get the location of the error.

"Experimental - subject to change"

See also:
  setLocation

Since:
  DOM Level 3

const XMLCh * DOMError::getMessage ( | ) const`[pure virtual]`

Get the message describing the error that occured.

"Experimental - subject to change"

See also:
  setMessage

Since:
  DOM Level 3

void * DOMError::getRelatedException ( | ) const`[pure virtual]`

The related platform dependent exception if any.

"Experimental - subject to change"

See also:
  setRelatedException

Since:
  DOM Level 3

short DOMError::getSeverity ( | ) const`[pure virtual]`

Get the severity of the error.

"Experimental - subject to change"

See also:
  setSeverity

Since:
  DOM Level 3

DOMError & DOMError::operator= ( | const DOMError & )`[protected]`

void DOMError::setLocation ( | DOMLocator *const location )`[pure virtual]`

Set the location of the error.

"Experimental - subject to change"

Parameters:

  location | the location of the error to set.

See also:
  getLocation

Since:
  DOM Level 3

void DOMError::setMessage ( | const XMLCh *const message )`[pure virtual]`

Set the error message.

"Experimental - subject to change"

Parameters:

  message | the error message to set.

See also:
  getMessage

Since:
  DOM Level 3

void DOMError::setRelatedException ( | void * exception ) const`[pure virtual]`

The related platform dependent exception if any.

"Experimental - subject to change"

Parameters:

  exception | the related exception to set.

See also:
  getRelatedException

Since:
  DOM Level 3

void DOMError::setSeverity ( | const short severity )`[pure virtual]`

Set the severity of the error.

"Experimental - subject to change"

Parameters:

  severity | the type of the error to set

See also:
  getLocation

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMError.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.